## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class URIType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.PathType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.URIType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

    public class URIType

extends PathType
implements IMetaDataEnabledFeature

URI Type: attribute values are Uniform Resource Identifiers (URIs), as defined in RFC 2396. URI attribute values may include full URIs such as http://www.foobar.com/ as well as relative URIs such as foo.html and ../foo/. EXPERIMENTAL - will change or dissappear

Constructor Summary
`URIType()` Constructor

Method Summary

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.PathType
`getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### URIType

    public URIType()

  Constructor